#128587 Report by node gh-actions covering 2026 tests from 61 modules resulted into 11 errors

Report

ObsPy version
1.3.0.post0+22.gf331819e1c
GitHub Pull Request
https://github.com/isas-yamamoto/obspy/pull/34
Report file
JSON document
Total runtime
346.0 sec
Report date/time
Oct. 16, 2022, 11:28 p.m.

System / Python

Architecture
64bit
Machine
x86_64
Node
gh-actions
Processor
x86_64
Python Compiler
GCC 9.3.0
Python Implementation
CPython
Python Version
3.8.10
Release
5.15.0-1021-azure
System
Linux
Version
#26~20.04.1-Ubuntu SMP Fri Sep 23 16:58:44 UTC 2022

Dependencies

cartopy
0.21.0
decorator
5.1.1
flake8
---
geographiclib
2.0
lxml
4.8.0
matplotlib
3.6.1
numpy
1.23.3
obspy
1.3.0.post0+22.gf331819e1c
pyproj
3.4.0
pytest
7.1.3
pytest-json-report
1.5.0
requests
2.28.1
scipy
1.9.1
setuptools
65.5.0
shapefile
---
sqlalchemy
1.4.42

Modules (61)

Module Errors / Failures Tracebacks
obspy.clients.earthworm Not tested -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 10 1 2 3 4 5 6 7 8 9 10
obspy.core.event - -
obspy.core.inventory - -
obspy.core.util - -
obspy.db Not tested -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.alsep 1 11
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 11 11

Tracebacks (11)

2333
2334 .. rubric:: Example
2335
2336 >>> st = read()
2337 >>> print(st) # doctest: +ELLIPSIS
2338 3 Trace(s) in Stream:
2339 BW.RJOB..EHZ | 2009-08-24T00:20:03.000000Z ... | 100.0 Hz, 3000 samples
2340 BW.RJOB..EHN | 2009-08-24T00:20:03.000000Z ... | 100.0 Hz, 3000 samples
2341 BW.RJOB..EHE | 2009-08-24T00:20:03.000000Z ... | 100.0 Hz, 3000 samples
2342 >>> st.resample(10.0) # doctest: +ELLIPSIS
UNEXPECTED EXCEPTION: ValueError('Unknown window type.')
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/doctest.py", line 1336, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.core.stream.Stream.resample[2]>", line 1, in <module>
File "/home/runner/work/obspy/obspy/obspy/core/stream.py", line 2351, in resample
tr.resample(sampling_rate, window=window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
/home/runner/work/obspy/obspy/obspy/core/stream.py:2342: UnexpectedException
1687 the signal is assumed to be periodic.
1688
1689 .. rubric:: Example
1690
1691 >>> tr = Trace(data=np.array([0.5, 0, 0.5, 1, 0.5, 0, 0.5, 1]))
1692 >>> len(tr)
1693 8
1694 >>> tr.stats.sampling_rate
1695 1.0
1696 >>> tr.resample(4.0) # doctest: +ELLIPSIS
UNEXPECTED EXCEPTION: ValueError('Unknown window type.')
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/doctest.py", line 1336, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.core.trace.Trace.resample[3]>", line 1, in <module>
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
/home/runner/work/obspy/obspy/obspy/core/trace.py:1696: UnexpectedException
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_stream.py", line 2245, in test_method_chaining
temp = st.trim(st[0].stats.starttime + 1, st[0].stats.starttime + 10)\
File "/home/runner/work/obspy/obspy/obspy/core/stream.py", line 2351, in resample
tr.resample(sampling_rate, window=window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_trace.py", line 1640, in test_resample
tr_2 = tr.copy().resample(sampling_rate=50.0)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_trace.py", line 1667, in test_method_chaining
temp_tr = tr.trim(tr.stats.starttime + 1)\
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_trace.py", line 1845, in test_processing_information
tr.resample(tr.stats.sampling_rate / 2.0)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_trace.py", line 2119, in test_resample_new
tr.resample(0.5, window='hanning', no_filter=True)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_trace.py", line 2544, in test_dtype_is_not_unnecessarily_changed
assert tr_int32.copy().resample(2.0).data.dtype == np.float64
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_trace.py", line 2717, in test_resample_short_traces
tr.resample(30)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/core/tests/test_waveform_plugins.py", line 220, in test_is_format
assert len(paths) > 0, msg + '\n '.join(all_paths)
AssertionError: Test data directories do not exist:
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/ah/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/alsep/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/alsep/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/alsep/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/css/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/dmx/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/gcf/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/gse2/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/gse2/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/kinemetrics/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/nied/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/mseed/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/css/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/pdas/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/core/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/sh/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/reftek/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/rg16/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/sac/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/sac/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/seg2/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/segy/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/seisan/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/sh/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/ascii/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/segy/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/ascii/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/wav/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/win/tests/data
/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/obspy/io/y/tests/data
assert 0 > 0
+ where 0 = len({})
024
025 Reading
026 -------
027
028 There are three types of ALSEP tape: PSE, WTN, and WTH. They are handled by
029 using ObsPy's standard:func:`~obspy.core.stream.read` function. The format is
030 detected automatically.
031
032 >>> from obspy import read
033 >>> st = read("http://darts.isas.jaxa.jp/pub/apollo/pse/p15s/pse.a15.1.2")
UNEXPECTED EXCEPTION: ConnectionError(MaxRetryError("HTTPConnectionPool(host='darts.isas.jaxa.jp', port=80): Max retries exceeded with url: /pub/apollo/pse/p15s/pse.a15.1.2 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff268759e50>: Failed to establish a new connection: [Errno 110] Connection timed out'))"))
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/connection.py", line 174, in _new_conn
conn = connection.create_connection(
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/util/connection.py", line 95, in create_connection
raise err
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/util/connection.py", line 85, in create_connection
sock.connect(sa)
TimeoutError: [Errno 110] Connection timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/connectionpool.py", line 398, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/connection.py", line 239, in request
super(HTTPConnection, self).request(method, url, body=body, headers=headers)
File "/usr/share/miniconda3/envs/test/lib/python3.8/http/client.py", line 1252, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/share/miniconda3/envs/test/lib/python3.8/http/client.py", line 1298, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/share/miniconda3/envs/test/lib/python3.8/http/client.py", line 1247, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/share/miniconda3/envs/test/lib/python3.8/http/client.py", line 1007, in _send_output
self.send(msg)
File "/usr/share/miniconda3/envs/test/lib/python3.8/http/client.py", line 947, in send
self.connect()
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/connection.py", line 205, in connect
conn = self._new_conn()
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/connection.py", line 186, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7ff268759e50>: Failed to establish a new connection: [Errno 110] Connection timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/requests/adapters.py", line 489, in send
resp = conn.urlopen(
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/connectionpool.py", line 787, in urlopen
retries = retries.increment(
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/urllib3/util/retry.py", line 592, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='darts.isas.jaxa.jp', port=80): Max retries exceeded with url: /pub/apollo/pse/p15s/pse.a15.1.2 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff268759e50>: Failed to establish a new connection: [Errno 110] Connection timed out'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.8/doctest.py", line 1336, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.io.alsep[1]>", line 1, in <module>
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/runner/work/obspy/obspy/obspy/core/util/decorator.py", line 291, in _map_example_filename
return func(*args, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/stream.py", line 208, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/home/runner/work/obspy/obspy/obspy/core/util/base.py", line 644, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/runner/work/obspy/obspy/obspy/core/util/base.py", line 593, in download_to_file
r = requests.get(url, stream=True)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/requests/api.py", line 73, in get
return request("get", url, params=params, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/requests/api.py", line 59, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/requests/sessions.py", line 587, in request
resp = self.send(prep, **send_kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/requests/sessions.py", line 701, in send
r = adapter.send(request, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.8/site-packages/requests/adapters.py", line 565, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='darts.isas.jaxa.jp', port=80): Max retries exceeded with url: /pub/apollo/pse/p15s/pse.a15.1.2 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff268759e50>: Failed to establish a new connection: [Errno 110] Connection timed out'))
/home/runner/work/obspy/obspy/obspy/io/alsep/__init__.py:33: UnexpectedException

Skipped tests (19)

Submodule Test Skip message
core core/stream.py::obspy.core.stream._is_pickle Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.CatchOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.SuppressOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.TemporaryWorkingDirectory Skipped: all tests skipped by +SKIP option
geodetics geodetics/tests/test_util_geodetics.py::TestUtilGeodetics::test_gps_2_dist_azimuth_bug150 Skipped: Geographiclib installed, not using calc_vincenty_inverse
imaging imaging/tests/test_mopad_script.py::TestMopad::test_script_plot Skipped: Currently broken until further review.
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_slist Skipped: all tests skipped by +SKIP option
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_tspair Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._evmagtonor Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._nortoevmag Skipped: all tests skipped by +SKIP option
io.pde io/pde/mchedr.py::obspy.io.pde.mchedr._is_mchedr Skipped: all tests skipped by +SKIP option
io.quakeml io/quakeml/core.py::obspy.io.quakeml.core._is_quakeml Skipped: all tests skipped by +SKIP option
io.seisan io/seisan/core.py::obspy.io.seisan.core._is_seisan Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_asc Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_q Skipped: all tests skipped by +SKIP option
io.wav io/wav/core.py::obspy.io.wav.core._is_wav Skipped: all tests skipped by +SKIP option
io.y io/y/core.py::obspy.io.y.core._is_y Skipped: all tests skipped by +SKIP option
signal signal/quality_control.py::obspy.signal.quality_control.MSEEDMetadata Skipped: all tests skipped by +SKIP option
signal signal/tests/test_quality_control.py::QualityControlTestCase::test_schema_validation Skipped: Test requires the jsonschema module

Slowest tests (20)

Runtime Test
8.824s io/xseed/tests/test_core.py::CoreTestCase::test_response_calculation_from_seed_and_xseed
8.015s core/tests/test_event.py::TestEvent::test_plot_farfield_without_quiver_with_maps
6.762s taup/__init__.py::obspy.taup
5.550s taup/tests/test_seismic_phase.py::TestTauPySeismicPhase::test_shoot_existing_ray_param
4.097s core/tests/test_inventory.py::TestInventoryCartopy::test_location_plot_local
3.129s taup/tau.py::obspy.taup.tau.plot_travel_times
3.123s core/tests/test_inventory.py::TestInventoryCartopy::test_location_plot_global
2.902s core/stream.py::obspy.core.stream.read
2.813s taup/tests/test_tau.py::TestTauPyModel::test_regional_models
2.700s taup/tests/test_tau.py::TestTauPyModel::test_vs_java_iasp91
2.354s taup/tests/test_velocity_model.py::TestTauPyVelocityModel::test_read_velocity_model
2.333s signal/tests/test_cross_correlation.py::TestCrossCorrelation::test_correlate_stream_template_and_correlation_detector
2.266s signal/tests/test_spectral_estimation.py::TestPsd::test_ppsd_restricted_stacks
2.252s io/arclink/tests/test_inventory_xml.py::ArclinkInventoryTestCase::test_auto_read_arclink_xml
2.208s taup/tests/test_seismic_phase.py::TestTauPySeismicPhase::test_many_identically_named_phases
2.146s signal/tests/test_calibration.py::CalibrationTestCase::test_relcal_different_overlaps
1.922s core/tests/test_trace.py::TestTrace::test_remove_response_plot
1.727s signal/tests/test_polarization.py::PolarizationTestCase::test_polarization_vidale
1.674s core/tests/test_inventory.py::TestInventoryCartopy::test_combined_station_event_plot
1.614s core/tests/test_stream.py::TestStream::test_read_url_via_network

Warnings (11)

Stage Filename Category Message
runtest /home/runner/work/obspy/obspy/obspy/imaging/source.py:339 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
collect /home/runner/work/obspy/obspy/obspy/taup/tau.py:25 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
runtest /home/runner/work/obspy/obspy/obspy/imaging/source.py:268 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
runtest /home/runner/work/obspy/obspy/obspy/imaging/source.py:332 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
runtest /home/runner/work/obspy/obspy/obspy/core/inventory/inventory.py:981 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
collect /home/runner/work/obspy/obspy/obspy/imaging/cm.py:299 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
runtest /home/runner/work/obspy/obspy/obspy/imaging/waveform.py:1282 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
collect /home/runner/work/obspy/obspy/obspy/imaging/cm.py:300 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
runtest /home/runner/work/obspy/obspy/obspy/io/kml/core.py:65 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
runtest /home/runner/work/obspy/obspy/obspy/imaging/source.py:376 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.
runtest /home/runner/work/obspy/obspy/obspy/imaging/source.py:273 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` or ``matplotlib.colormaps.get_cmap(obj)`` instead.